Subject: Re: Unable to start atalkd. No list in Chooser

From: [email-masked]
Date: Wed, 15 Nov 2000 23:43:49 +0800

Thanks Wes for your advice.
I tried as suggested - make the change in the atalkd.conf. Stop and restart
atalk. Unfortunately I still got the same error message in the syslog.
Tried changing to some other addr.node but still the same result.

Thanks.
Steve

                    Wes Yates                                                               
                    <gmac63@caroli        To:     [email-masked]              
                    na.rr.com>            cc:                                               
                                          Subject:     Re: Unable to start atalkd. No list  
                    11/14/00 10:16        in Chooser                                        
                    PM                                                                      

Steve, you will probably get better replies than this, but here's my
take...

>I have problem starting up atalkd for some reason. Hence I have the usual
>problem of server name not appearing on the Mac Chooser but able to
connect
>using only the TCP.
>I know it's atalkd startup problem but don't know how to resolve it.
>
>Any help would be greatly appreciated.
>Below are the settings and syslog.
>
>Thanks.
>Steve
>
>
>-----------------------------------------------------------------
>Netatalk version: 1.4b2+asun2.1.3-6
>Linux: RH6.2 Kernel: 2.2.14-6.1.1
>Mac OS : 9.x
>
>------------------------------------------------------------------
>sysLog shows :
>
>Nov 14 18:20:59 ealinux01 kernel: NET4: AppleTalk 0.18 for Linux NET4.0
>Nov 14 18:20:59 ealinux01 atalkd[595]: restart (1.4b2+asun2.1.3)
>Nov 14 18:20:59 ealinux01 atalkd[595]: bind 0.0:1: Address already in use

It looks like here's your problem. You may have an appletalk node
already on that net.

Try eth0 -phase 2 -net 0-65534 -addr 65280.97 and if that still
doesn't get you started,
change the 65280.97 to something else. I think that's giving you the
problem.

>Nov 14 18:20:59 ealinux01 atalkd: AppleTalk not up!
>Nov 14 18:20:59 ealinux01 atalkd:  Child exited with 1.
>Nov 14 18:20:59 ealinux01 atalk: atalkd startup failed
>Nov 14 18:20:59 ealinux01 papd[606]: restart (1.4b2+asun2.1.3)
>Nov 14 18:20:59 ealinux01 atalk: papd startup succeeded
>Nov 14 18:20:59 ealinux01 atalk: afpd startup succeeded
>Nov 14 18:21:00 ealinux01 afpd[615]: main: atp_open: Cannot assign
>requested address
>Nov 14 18:21:00 ealinux01 afpd[615]: ASIP started on 192.168.2.196:548(1)
>(1.4b2
>+asun2.1.3)
>
>--------------------------------------------------------------------
>
>lsmod reveals:
>
>Module                  Size  Used by
>appletalk              17632   0  (autoclean)
>autofs                  9156   1  (autoclean)
>lockd                  32040   1  (autoclean)
>sunrpc                 52964   1  (autoclean) [lockd]
>3c59x                  19268   1  (autoclean)
>agpgart                17852   2

I usually compile Appletalk DDP (and HFS support ;-) )into the
kernel, but no harm in modules.

>----------------------------------------------
>atalkd.conf shows:
>
>eth0

eth0 -phase 2 -net 0-65534 -addr 65280.97.

>
>-----------------------------------------------
>afpd.conf shows:
>
>"MyMacWorld" -tcp -ddp -nocleartxt -loginmesg "Welcome Alien..."

I don't usually have anything in afpd, but... you're call.

>
>------------------------------------------------
>AppleVolumes.default shows:
>
>~       "Home Directory"
>/usr/eamy-share/MacShare "myMacVolume"

Mine is in AppleVolumes.system , but I think this will work...

>#
># type / creator mappings
>.txt    TEXT    MSWD
>
>----------------------------------------------------
>/etc/conf.modules contains:
>alias net-pf-5 appletalk

Amen.

>----------------------------------------------------

-Wes Yates
[email-masked]